Subject: RFC 4619 errata

From: Alfred Hönes <[email-masked]>
Date: Wed, 1 Nov 2006 15:20:39 +0100 (MEZ)

Hello,
reading the recently published RFC 4619 (FR over MPLS)
edited by you, I found a couple of textual issues
I'd like to report.

(1)  typo (singular/plural mismatch)

The first paragraph of Section 1, on page 2, says:

     [..].  The main functions required to support frame relay PW by a
   Provider Edge (PE) include:

It should say:
                                                                 v
|    [..].  The main functions required to support frame relay PWs by a
   Provider Edge (PE) include:

(2)  improper wording (mismatch with what follows)

On page 3, the last paragraph above Figure 1 says:
                                                     v      vvv
   The following figure describes the reference models that are derived
   from [RFC3985] to support the frame relay PW emulated services.

It should say:

|  The following figure describes the reference model that is derived
   from [RFC3985] to support the frame relay PW emulated services.

(3)  typo (missing article)

Within Section 5, the 2nd list item on page 6 says:

   - Frame relay Local Management Interface (LMI) is terminated locally
     in the PE connected to the frame relay attachment circuit.

It should say:

|  - The Frame relay Local Management Interface (LMI) is terminated
     locally in the PE connected to the frame relay attachment circuit.

(4)  missing article

The last bullet within Section 7.2, near the top of page 8, says:

   - Payload

     The payload field corresponds to X.36/X.76 frame relay frame
     information field with the following components removed: bit/byte
     stuffing, frame relay header, and FCS.  [...]

It should say:

   - Payload

|    The payload field corresponds to an X.36/X.76 frame relay frame
     information field with the following components removed: bit/byte
     stuffing, frame relay header, and FCS.  [...]

(5)  typos/grammar

The last bulleted item in Section 7.6.2, on top of page 12, says:

                                        vvvvvv
|  - Otherwise, if the payload is longer, then the length specified in
|    the control word padding characters are removed according to the
     length field.
                     ^

It should say:
                                        v  v
|  - Otherwise, if the payload is longer than the length specified in
|    the control word, padding characters are removed according to the
     length field.
                     ^

(6)  typo

The second sentence in the first paragraph of Section 7.9, on page 12,

                                                           v
           [...].  If the PE detects a service-affecting condition for a
|  particular DLCI, as defined in [Q933] Q.933, Annex A.5, sited in IA
   FRF1.1, the PE MUST communicate to the remote PE the status of the PW
   that corresponds to the frame relay DLCI status.  [...]

should say:
                                                           v
           [...].  If the PE detects a service-affecting condition for a
|  particular DLCI, as defined in [Q933] Q.933, Annex A.5, cited in IA
   FRF1.1, the PE MUST communicate to the remote PE the status of the PW
   that corresponds to the frame relay DLCI status.  [...]

(7)  typo/grammar

The last sentence in the second paragraph of Section 7.9, on page 12,

   [...].  The IANA allocation registry of "Pseudowire Type" is defined
   in [RFC4446] along with initial allocated values.

should say:

|  [...].  The IANA allocation registry of "Pseudowire Types" is defined
|  in [RFC4446] along with initially allocated values.

Please comment.

Preferrably, to address these issues, you should prepare an
Author's Errata Note for RFC 4619, making freely use of the
material presented above, and submit it to the RFC Editor
for publication on the RFC Errata web pages.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+